Subject: [BUG] Strange git notes completion behaviour

From: <[email-masked]>
Date: Tue, 21 Oct 2025 17:06:50 -0400

Hi All,

I tried the following in git 2.51.0 on NonStop (big endian x86):

git notes add -m "Test Note" HEAD
git notes show HEAD

The git notes show reports a completion code of 037777777764 (-12). This
gets
hidden by bash, which truncates negative results so it shows as 0, not -12.
This
only seems to happen in git notes show, not any other commands or
sub-commands. I checked in gdb and this is in fact happening. Anywhere I can
look to try to find where this is failing?

--Randall